.radio-block {
    display: block;
    font-weight: 400;
    position: relative;
    overflow: hidden;

    input {
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        opacity: 0;
        overflow: hidden;
        visibility: hidden;
        position: absolute;

        &:checked + .radio-block {

            &__label {
                border-color: var(--orange);

                .radio-block__edit {
                    opacity: 1;
                    visibility: visible;
                }
            }
        }
    }

    &__label {
        padding: rem(12);
        cursor: pointer;
        font-size: rem(12);
        line-height: rem(18);
        position: relative;
        border-radius: rem(4);
        background-color: #222;
        border: 1px solid #222;
        transition: var(--transition-time);
        display: flex;
        row-gap: rem(4);
        flex-direction: column;

        &:hover {
            border-color: var(--orange);
            transition: var(--transition-time);
        }
    }

    &__title {
        font-weight: 600;
    }

    &__text {
        opacity: .8;
    }

    &__edit {
        top: 0;
        right: 0;
        z-index: 50;
        padding: 0;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: rem(40);
        height: rem(40);
        cursor: pointer;
        stroke: var(--orange);
        position: absolute;
        border-radius: rem(4);
        background-color: transparent;
        opacity: 0;
        visibility: hidden;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            height: rem(16);
            display: inline-block;
            transition: var(--transition-time);
            flex-shrink: 0;
        }

        &:hover {
            stroke: var(--orange-hover);
            transition: var(--transition-time);
        }
    }

    &--gray {

        span {
            background-color: #353535;
            border-color: #353535;
        }
    }

    &.active {

        .radio-block__label {
            border-color: var(--orange);

            .radio-block__edit {
                opacity: 1;
                visibility: visible;
            }
        }
    }
}

